org.apache.kylin.jdbc

## Class Driver

- java.lang.Object
- - net.hydromatic.avatica.UnregisteredDriver
  - - org.apache.kylin.jdbc.Driver

All Implemented Interfaces:
  Driver

    public class Driver
    extends net.hydromatic.avatica.UnregisteredDriver

Kylin JDBC Driver based on optiq avatica and kylin restful api.
Supported versions:

- jdbc 4.0
- jdbc 4.1

Supported Statements:

- `KylinStatementImpl`
- `KylinPrepareStatementImpl`

Supported properties:

- user: username
- password: password
- ssl: true/false

Driver init code sample:

     Driver driver = (Driver) Class.forName("org.apache.kylin.kylin.jdbc.Driver").newInstance();
     Properties info = new Properties();
     info.put("user", "user");
     info.put("password", "password");
     info.put("ssl", true);
     Connection conn = driver.connect("jdbc:kylin://{domain}/{project}", info);

Author:
  xduo

### Nested Class Summary

### Nested classes/interfaces inherited from class net.hydromatic.avatica.UnregisteredDriver

`net.hydromatic.avatica.UnregisteredDriver.JdbcVersion`

### Field Summary

Fields
`static String` `CONNECT_STRING_PREFIX`

### Fields inherited from class net.hydromatic.avatica.UnregisteredDriver

`factory, handler`

### Constructor Summary

Constructors
Constructor and Description
`Driver()`

### Method Summary

Methods
`protected net.hydromatic.avatica.DriverVersion` `createDriverVersion()`
`protected net.hydromatic.avatica.Handler` `createHandler()`
`protected String` `getConnectStringPrefix()`
`protected String` `getFactoryClassName(net.hydromatic.avatica.UnregisteredDriver.JdbcVersion jdbcVersion)`

### Methods inherited from class net.hydromatic.avatica.UnregisteredDriver

`acceptsURL, connect, createFactory, getConnectionProperties, getDriverVersion, getMajorVersion, getMinorVersion, getParentLogger, getPropertyInfo, instantiateFactory, jdbcCompliant, register`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONNECT_STRING_PREFIX

    public static final String CONNECT_STRING_PREFIX

See Also:
  Constant Field Values

### Constructor Detail

#### Driver

    public Driver()

### Method Detail

#### createDriverVersion

    protected net.hydromatic.avatica.DriverVersion createDriverVersion()

Specified by:
  `createDriverVersion` in class `net.hydromatic.avatica.UnregisteredDriver`

#### getFactoryClassName

    protected String getFactoryClassName(net.hydromatic.avatica.UnregisteredDriver.JdbcVersion jdbcVersion)

Overrides:
  `getFactoryClassName` in class `net.hydromatic.avatica.UnregisteredDriver`

#### createHandler

    protected net.hydromatic.avatica.Handler createHandler()

Overrides:
  `createHandler` in class `net.hydromatic.avatica.UnregisteredDriver`

#### getConnectStringPrefix

    protected String getConnectStringPrefix()

Specified by:
  `getConnectStringPrefix` in class `net.hydromatic.avatica.UnregisteredDriver`